yum update and zif

Dennis Gilmore dennis at ausil.us
Wed Jan 5 23:09:30 UTC 2011


On Wednesday, January 05, 2011 04:32:02 pm Michal Jaegermann wrote:
> This is from a changelog of yum-3.2.28-16.fc15:
> * Tue Jan 04 2011 Seth Vidal <skvidal at fedoraproject.org> -
> * 3.2.28-15
> - latest head
> - conflicts zif
> 
> That indeed conflicts and if zif is present it blocks an update
> of yum.
> 
> Only that "Zif is a simple yum-compatible library ..." and it
> was pulled in the past through dependencies by some past update
> of yum or maybe PackageKit.  Shouldn't yum-3.2.28-16.fc15 obsolete
> that instead if no longer needed?  It appears that zif-0.1.3-3.fc15
> is indeed not used anymore (or, at least, nothing has dependencies
> on it).
> 
>    Michal
zif  is not yum compatiable and it was using yum private data.  if yu want to 
use zif to manage your packages you must remove yum.  you would have had to 
install it AFAIK  though maybe packagekit brought it in at some point.  its 
goal is to be a yum replacement. your free to use it. you just need to remove 
yum to do so.

Dennis
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: This is a digitally signed message part.
Url : http://lists.fedoraproject.org/pipermail/test/attachments/20110105/456fee01/attachment.bin 


More information about the test mailing list